Listar el historial de entregas de un webhook
curl --request GET \
--url https://slc.sandbox.lerian.net/webhooks/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://slc.sandbox.lerian.net/webhooks/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://slc.sandbox.lerian.net/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"attemptNumber": 123,
"createdAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"eventId": "<string>",
"eventType": "<string>",
"httpStatus": 123,
"id": "<string>",
"nextRetryAt": "2023-11-07T05:31:56Z",
"responseTimeMs": 123,
"state": "<string>",
"subscriptionId": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Listar el historial de entregas de un webhook
Devuelve los intentos de entrega paginados (incluidos los reintentos) de una suscripción, con alcance al tenant de la solicitud. Cada elemento lleva su clave de partición created_at para que un reenvío posterior pueda direccionar la fila particionada.
GET
/
webhooks
/
{id}
/
deliveries
Listar el historial de entregas de un webhook
Autorizaciones
JWT bearer token issued by the identity provider.
Parámetros de ruta
Subscription id (UUID).
Ejemplo:
"0190b5a0-0000-7000-8000-0000000000aa"
Parámetros de consulta
Page size (default 50). A negative or non-numeric value is rejected with 400.
Ejemplo:
"50"
Respuesta
OK
The subscription's delivery attempts (including retries).
Show child attributes
Show child attributes
¿Esta página le ayudó?
⌘I

